(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react'), require('prop-types')) :
  typeof define === 'function' && define.amd ? define(['react', 'prop-types'], factory) :
  (global.Header = factory(global.React,global.PropTypes));
}(this, (function (React,PropTypes) { 'use strict';

React = 'default' in React ? React['default'] : React;
PropTypes = 'default' in PropTypes ? PropTypes['default'] : PropTypes;

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();







var get = function get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent === null) {
      return undefined;
    } else {
      return get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};











var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};



var set = function set(object, property, value, receiver) {
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent !== null) {
      set(parent, property, value, receiver);
    }
  } else if ("value" in desc && desc.writable) {
    desc.value = value;
  } else {
    var setter = desc.set;

    if (setter !== undefined) {
      setter.call(receiver, value);
    }
  }

  return value;
};

var Header$1 = function (_React$Component) {
  inherits(Header, _React$Component);

  function Header(props) {
    classCallCheck(this, Header);

    var _this = possibleConstructorReturn(this, (Header.__proto__ || Object.getPrototypeOf(Header)).call(this, props));

    _this.logout = _this.logout.bind(_this);
    return _this;
  }

  createClass(Header, [{
    key: 'logout',
    value: function logout() {
      var user = this.props.user;

      if (user && user.logout && typeof user.logout.callback === 'function') {
        user.logout.callback();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          navList = _props.navList,
          logoData = _props.logoData;
      var logo = logoData.logo,
          title = logoData.title,
          width = logoData.width,
          fontSize = logoData.fontSize;

      return React.createElement(
        'header',
        { className: 'k2-header' },
        React.createElement(
          'div',
          { className: 'k2-header__logo',
            style: { width: (width || 200) + 'px', fontSize: (fontSize || 30) + 'px' }
          },
          logo && logo.src && React.createElement(
            'div',
            { className: 'image-wrapper' },
            React.createElement(
              'a',
              { href: logo.href || '' },
              React.createElement('img', { title: title || '', alt: title || '', src: logo.src })
            )
          ),
          !logo && title && React.createElement(
            'span',
            { className: 'k2-header__logo__title' },
            React.createElement(
              'b',
              null,
              title
            )
          )
        ),
        React.createElement(
          'ul',
          { className: 'header__menu' },
          navList && navList instanceof Array && this.props.navList.map(function (list, index) {
            return React.createElement(
              'li',
              { key: list.name },
              React.createElement(
                'a',
                { href: list.href,
                  target: '_blank',
                  className: list.active ? 'activeA' : ''
                },
                list.name
              ),
              React.createElement(
                'span',
                null,
                '|'
              )
            );
          })
        ),
        this.props.user.name && this.props.user.name !== '' && React.createElement(
          'div',
          { className: 'header__usernav' },
          React.createElement(
            'div',
            { className: 'header__usernav__name' },
            React.createElement(
              'span',
              null,
              this.props.user.name
            )
          ),
          React.createElement(
            'div',
            { className: 'header__usernav__separate' },
            React.createElement(
              'span',
              null,
              '|'
            )
          ),
          React.createElement(
            'div',
            { className: 'header__usernav__logout' },
            React.createElement(
              'span',
              { onClick: this.logout },
              this.props.user.logout.title
            )
          )
        )
      );
    }
  }]);
  return Header;
}(React.Component);

Header$1.propTypes = {
  navList: PropTypes.array.isRequired,
  user: PropTypes.shape({
    name: PropTypes.string,
    logout: PropTypes.object
  }),
  logoData: PropTypes.object.isRequired
};

Header$1.defaultProps = {};

return Header$1;

})));
//# sourceMappingURL=index.umd.js.map
